package com.aucma.report.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 箱体发泡注料记录报表对象 box_lastshotrecord
 *
 * @author Yinq
 * @date 2024-01-12
 */
public class BoxLastShotRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long objId;

    /**
     * 所属系统
     */
    @Excel(name = "所属系统")
    private String system;

    /**
     * 枪编号
     */
    @Excel(name = "枪编号")
    private String gunCode;


    private String productLineCode;

    /**
     * 产线名称
     */
    @Excel(name = "产线名称")
    private String productLineName;


    private String stationNumber;

    /**
     * 工位名称
     */
    @Excel(name = "工位名称")
    private String stationName;

    /**
     * 枪POL注料温度
     */
    @Excel(name = "枪POL注料温度")
    private String polTemp;

    /**
     * 枪POL注料压力
     */
    @Excel(name = "枪POL注料压力")
    private String polHp;

    /**
     * 枪POL注料流量
     */
    @Excel(name = "枪POL注料流量")
    private String polVol;

    /**
     * 枪POL原料用量
     */
    @Excel(name = "枪POL原料用量")
    private String polUsage;

    /**
     * 枪ISO注料温度
     */
    @Excel(name = "枪ISO注料温度")
    private String isoTemp;

    /**
     * 枪ISO注料压力
     */
    @Excel(name = "枪ISO注料压力")
    private String isoHp;

    /**
     * 枪ISO注料流量
     */
    @Excel(name = "枪ISO注料流量")
    private String isoVol;

    /**
     * 枪ISO原料用量
     */
    @Excel(name = "枪ISO原料用量")
    private String isoUsage;

    /**
     * 枪注料工位号
     */
    @Excel(name = "枪注料工位号")
    private String pourNu;

    /**
     * 枪设定注料时间
     */
    @Excel(name = "枪设定注料时间")
    private String setTime;

    /**
     * 枪设定注料重量
     */
    @Excel(name = "枪设定注料重量")
    private String setWeight;

    /**
     * 枪设定注料比例
     */
    @Excel(name = "枪设定注料比例")
    private String setRatio;

    /**
     * 枪实际注料重量
     */
    @Excel(name = "枪实际注料重量")
    private String pourWeight;

    /**
     * 枪实际注料比例
     */
    @Excel(name = "枪实际注料比例")
    private String pourRatio;

    /**
     * 枪中压循环时间
     */
    @Excel(name = "枪中压循环时间")
    private String mpTime;

    /**
     * 枪高压循环时间
     */
    @Excel(name = "枪高压循环时间")
    private String hpTime;

    /**
     * 枪液压压力
     */
    @Excel(name = "枪液压压力")
    private String hydrPress;

    /**
     * 枪液压温度
     */
    @Excel(name = "枪液压温度")
    private String hydrTemp;

    /**
     * 枪开枪时间
     */
    @Excel(name = "枪开枪时间")
    private String mixpistOn;


    /**
     * 枪关枪时间
     */
    @Excel(name = "枪关枪时间")
    private String mixpistOff;

    /**
     * 枪总产量
     */
    @Excel(name = "枪总产量")
    private String totalYield;

    /**
     * 枪注料结束信号
     */
    @Excel(name = "枪注料结束信号")
    private String pourEnd;

    /**
     * 系统状态：0-关；1-开
     */
    @Excel(name = "系统状态：0-关；1-开")
    private Long systemStatus;

    private String beginBeginTime;

    private String endBeginTime;

    public String getBeginBeginTime() {
        return beginBeginTime;
    }

    public void setBeginBeginTime(String beginBeginTime) {
        this.beginBeginTime = beginBeginTime;
    }

    public String getEndBeginTime() {
        return endBeginTime;
    }

    public void setEndBeginTime(String endBeginTime) {
        this.endBeginTime = endBeginTime;
    }

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setSystem(String system) {
        this.system = system;
    }

    public String getSystem() {
        return system;
    }

    public void setGunCode(String gunCode) {
        this.gunCode = gunCode;
    }

    public String getGunCode() {
        return gunCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setStationNumber(String stationNumber) {
        this.stationNumber = stationNumber;
    }

    public String getStationNumber() {
        return stationNumber;
    }

    public void setPolTemp(String polTemp) {
        this.polTemp = polTemp;
    }

    public String getPolTemp() {
        return polTemp;
    }

    public void setPolHp(String polHp) {
        this.polHp = polHp;
    }

    public String getPolHp() {
        return polHp;
    }

    public void setPolVol(String polVol) {
        this.polVol = polVol;
    }

    public String getPolVol() {
        return polVol;
    }

    public void setPolUsage(String polUsage) {
        this.polUsage = polUsage;
    }

    public String getPolUsage() {
        return polUsage;
    }

    public void setIsoTemp(String isoTemp) {
        this.isoTemp = isoTemp;
    }

    public String getIsoTemp() {
        return isoTemp;
    }

    public void setIsoHp(String isoHp) {
        this.isoHp = isoHp;
    }

    public String getIsoHp() {
        return isoHp;
    }

    public void setIsoVol(String isoVol) {
        this.isoVol = isoVol;
    }

    public String getIsoVol() {
        return isoVol;
    }

    public void setIsoUsage(String isoUsage) {
        this.isoUsage = isoUsage;
    }

    public String getIsoUsage() {
        return isoUsage;
    }

    public void setPourNu(String pourNu) {
        this.pourNu = pourNu;
    }

    public String getPourNu() {
        return pourNu;
    }

    public void setSetTime(String setTime) {
        this.setTime = setTime;
    }

    public String getSetTime() {
        return setTime;
    }

    public void setSetWeight(String setWeight) {
        this.setWeight = setWeight;
    }

    public String getSetWeight() {
        return setWeight;
    }

    public void setSetRatio(String setRatio) {
        this.setRatio = setRatio;
    }

    public String getSetRatio() {
        return setRatio;
    }

    public void setPourWeight(String pourWeight) {
        this.pourWeight = pourWeight;
    }

    public String getPourWeight() {
        return pourWeight;
    }

    public void setPourRatio(String pourRatio) {
        this.pourRatio = pourRatio;
    }

    public String getPourRatio() {
        return pourRatio;
    }

    public void setMpTime(String mpTime) {
        this.mpTime = mpTime;
    }

    public String getMpTime() {
        return mpTime;
    }

    public void setHpTime(String hpTime) {
        this.hpTime = hpTime;
    }

    public String getHpTime() {
        return hpTime;
    }

    public void setHydrPress(String hydrPress) {
        this.hydrPress = hydrPress;
    }

    public String getHydrPress() {
        return hydrPress;
    }

    public void setHydrTemp(String hydrTemp) {
        this.hydrTemp = hydrTemp;
    }

    public String getHydrTemp() {
        return hydrTemp;
    }

    public void setMixpistOn(String mixpistOn) {
        this.mixpistOn = mixpistOn;
    }

    public String getMixpistOn() {
        return mixpistOn;
    }

    public void setMixpistOff(String mixpistOff) {
        this.mixpistOff = mixpistOff;
    }

    public String getMixpistOff() {
        return mixpistOff;
    }

    public void setTotalYield(String totalYield) {
        this.totalYield = totalYield;
    }

    public String getTotalYield() {
        return totalYield;
    }

    public void setPourEnd(String pourEnd) {
        this.pourEnd = pourEnd;
    }

    public String getPourEnd() {
        return pourEnd;
    }

    public void setSystemStatus(Long systemStatus) {
        this.systemStatus = systemStatus;
    }

    public Long getSystemStatus() {
        return systemStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("system", getSystem())
                .append("gunCode", getGunCode())
                .append("productLineCode", getProductLineCode())
                .append("stationNumber", getStationNumber())
                .append("polTemp", getPolTemp())
                .append("polHp", getPolHp())
                .append("polVol", getPolVol())
                .append("polUsage", getPolUsage())
                .append("isoTemp", getIsoTemp())
                .append("isoHp", getIsoHp())
                .append("isoVol", getIsoVol())
                .append("isoUsage", getIsoUsage())
                .append("pourNu", getPourNu())
                .append("setTime", getSetTime())
                .append("setWeight", getSetWeight())
                .append("setRatio", getSetRatio())
                .append("pourWeight", getPourWeight())
                .append("pourRatio", getPourRatio())
                .append("mpTime", getMpTime())
                .append("hpTime", getHpTime())
                .append("hydrPress", getHydrPress())
                .append("hydrTemp", getHydrTemp())
                .append("mixpistOn", getMixpistOn())
                .append("mixpistOff", getMixpistOff())
                .append("totalYield", getTotalYield())
                .append("pourEnd", getPourEnd())
                .append("createTime", getCreateTime())
                .append("systemStatus", getSystemStatus())
                .toString();
    }
}
